.badge {
    @include margin(1, 1);

    position: relative;
    max-width: calc(100% - 2 * $space);

    &.disabled {
        opacity: 0.6;
    }

    &.truncate {
        min-width: calc(#{$space} * 8 + 1.2em);

        * {
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
        }
    }
}
